package com.ssj.service.sys.smarttime.service;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.domain.Specification;
import com.ssj.bean.conch.conch.domain.SmarttimePicture;
import com.ssj.framework.core.common.service.BaseService;
import com.ssj.service.conch.parents.request.DeleteSmarttimeRequest;
import com.ssj.service.conch.student.dto.SmartTimeGroupDTO;
import java.util.List;
import java.util.Map;


public interface SmarttimeService extends BaseService<SmarttimePicture, String> {

    void addSmarttimePicture(String parentId, String childName,String fileKey, String derver,Integer type, String derverFileKey,String vipId);

    void insertSmarttimePicture(String parentId, String fileKey, String derver, Integer type, String derverFileKey, String vipId);

    List<SmarttimePicture> querySmarttimePictureList(String parentId);

    void deleteSmarttime(DeleteSmarttimeRequest request);

    Map<String, Object> searchSmarttimeList(Map<String, Object> params, Pageable pageable);

	void updateSmarttime(DeleteSmarttimeRequest request);

	Map<String, Object> searchSmarttimeGroupList(Map<String, Object> params, Pageable pageable);
	
	public Page<SmarttimePicture> findAll(Specification<SmarttimePicture> specification, Pageable page);

    Page<SmartTimeGroupDTO> searchAppSmartTimeGroupList(Map<String, Object> params, Pageable pageable);
}
